<?php
/**
 * Tags
 *
 * @package     AutomatorWP\Formatter\Tags
 * @since       1.0.0
 */
// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

/**
 * Formatted string tags
 *
 * @since 1.0.0
 *
 * @return array
 */
function automatorwp_formatter_get_actions_string_tags() {

    return array(
        'formatted' => array(
            'label'     => __( 'Formatted', 'automatorwp-pro' ),
            'type'      => 'text',
            'preview'   => 'The formatted value',
        ),
    );

}

/**
 * Custom action formatted string tag replacement
 *
 * @since 1.0.0
 *
 * @param string    $replacement    The tag replacement
 * @param string    $tag_name       The tag name (without "{}")
 * @param stdClass  $action         The action object
 * @param int       $user_id        The user ID
 * @param string    $content        The content to parse
 * @param stdClass  $log            The last action log object
 *
 * @return string
 */
function automatorwp_formatter_get_action_string_tag_replacement( $replacement, $tag_name, $action, $user_id, $content, $log ) {


    $action_args = automatorwp_get_action( $action->type );

    // Skip if action is not from this integration
    if( $action_args['integration'] !== 'formatter' ) {
        return $replacement;
    }

    switch( $tag_name ) {
        case 'formatted':
            $replacement = automatorwp_get_log_meta( $log->id, 'formatted', true );
            break;
    }

    return $replacement;

}
add_filter( 'automatorwp_get_action_tag_replacement', 'automatorwp_formatter_get_action_string_tag_replacement', 10, 6 );
